Nieuwe beta-update voor Snow Leopard

Door: Raymon Mens - 13 reacties

Op Apple’s Developer Portal is een nieuwe beta van de Mac App Store voor OS X 10.6 Snow Leopard te vinden. Nieuwe software voor een OS X-versie uit 2009? Kennelijk wil Apple gebruikers van OS X Snow Leopard niet in de kou laten staan.

De update, nu nog beta, moet zorgen dat Snow Leopard compatibel is met een nieuw beveiligings­certificaat voor de Mac App Store. Apple gaat dat certificaat op 23 februari naar de softwarewinkel uitrollen.

Zonder het nieuwe certificaat zou niet alleen de Mac App Store niet meer werken, maar zouden ook gekochte apps niet meer starten op OS X 10.6 Snow Leopand. Bij het opstarten van betaalde apps wordt het aankoopbewijs geverifieerd en daar is ook een geldig Apple-certificaat voor nodig.
sl-update
OS X 10.6 Snow Leopard werd in 2009 uitgebracht en werd in januari van 2011 als eerste OS X-versie van de Mac App Store voorzien. Apple werkt het besturingssysteem niet actief meer bij met beveiligingsupdates, de laatste reguliere update komt uit 2013. De Mac App Store update zal ruim voor 23 februari voor iedereen beschikbaar zijn.

Reacties

13 reacties
  • Profielfoto
    THX-1138

    Ik hoop niet dat Apple het nieuwe Microsoft wordt als we het hebben over het ondersteunen van legacy-OS-en. Iedereen weet dat Microsoft problemen heeft bij de ontwikkeling van nieuwe producten omdat ze alle ouwe reut ook nog moeten ondersteunen.

  • Profielfoto
    SvS

    Wauw, mooi zeg dat die gebruikers ook een beveiligingsupdate krijgen. Wellicht de laatste keer misschien?

  • Profielfoto
    Ree

    Het is ook nooit goed he?;)

    links wordt er geklaagd dat Apple niet op anderen moet lijken door oude spullen niet meer te ondersteunen

    rechts wordt er geklaagd dat Apple niet op anderen moet lijken door oude spullen wel te ondersteunen

    Maar eerlijk gezegd heb ik hier ook gemengde gevoelens bij

    Ik vind het goed dat Apple dit doet, want Snow Leopard was/is toch wel de meest stabiele versie van OS X.

  • Profielfoto
    Macnido

    Ik draai het nog op een van mijn Mac’s om de simpele reden dat het een van de fijnste systemen is. Ik kom ook regelmatig mensen tegen die het ook nog draaien om diezelfde reden. Een update zou dan ook welkom zijn.

  • Profielfoto
    Shmoo

    Wauw, mooi zeg dat die gebruikers ook een beveiligingsupdate krijgen. Wellicht de laatste keer misschien?

    .
    Ze krijgen geen beveiligingsupdate, ze krijgen alleen een update zodat de Mac App Store verbinding maakt met het nieuwe certificaat.
    .
    Onderlaatst heeft Apple toch een van hun certificaten laten verlopen en toen zat zo’n beetje iedereen met het probleem dat hun apps het niet meer functioneerden. Bij ons is dat gefixt met een nieuw certificaat maar die oude versie van OS X proberen nog steeds verbinding te maken met het oude certificaat waardoor deze mensen niet of niet veilig apps kunnen aankopen in de Mac App Store.
    Kortom als het Apple’s bankrekening raakt dan beginnen ze wel te bewegen en kunnen ze iets updaten.

  • Profielfoto
    donut

    Het komt er dus op neer dat Apple dit wel moet doen om te zorgen dat klanten hun aangekochte software kunnen blijven draaien.
    Anders zouden ze hun klanten een kat in de zak hebben verkocht.
    Er is dus eigenlijk geen nieuws.

  • Profielfoto
    GoeieDag

    Inderdaad.
    Want verder zit er geen logica in, want Lion en ML hebben ook al de ‘unsupported status’, dus waarom zou SL nog wel supported zijn?

  • Profielfoto
    Shmoo

    Het aantal Macs dat op Snow Leoard draait is vele male groter dan Lion en ML. Dit zijn vaak echt oude machines die waarschijnlijk wel Lion kunnen draaien maar waar de gebruikers bewust van kiezen om een nog ouder systeem erop te zetten want die zijn stabieler dan al die junk wat vanaf Lion is gekomen met allerlei iCloud integraties die niet meer werken.

  • Profielfoto
    fatboysmart

    Draai prive nog steeds Snow Leopard… zeer stabiel. Probleem wordt alleen dat ik geen iPhone 6S kan aanschaffen aangezien die niet wil synchroniseren met Snow Leopard, en mijn huidige iPhone 5S updaten naar iOS 9 kan ook niet… althans dan kan ik hem ook niet meer synchroniseren.

  • Profielfoto
    TandMac

    Mooi!

  • Profielfoto
    Jeffry

    Dit is toch een beetje vreemde zet. Als het alleen een update is van een certificaat stelt het toch echt niet zoveel voor. Tegelijkertijd wekt het wel de suggestie dat Snow Leopard nog onderhouden wordt, wat niet het geval is. En dat brengt de nodige risico’s met zich mee.

    Ik heb in ieder geval Leopard systemen gezien die plotsklaps ineens vreemde DNS settings hadden en verkeer via China omleiden. Wellicht is dat niet zonder meer mogelijk bij SL maar het laat toch zien dat ook OSX niet onderhoudsvrij maar door kan bestaan. Overigens ging dit om een vrij kale install met alleen iLife en geen toegevoegde software.

    Wat wel jammer is, SL is aanzienlijk sneller dan Yosemite en El Capitan. Ik neig er zelf naar dat Mavericks een mooi midden houdt tussen veiligheid en snelheid op oudere systemen.

  • Profielfoto
    sedikit

    Ik heb een paar maanden geleden afscheid moeten nemen van de zeer goed draaiende Snow Leopard (zit nu op de ML). Moeten? Ja, omdat Apple de iTunes van de SL niet meer wenste te steunen i.c.m de iPad/iPhone. Nu lijkt het dat Apple aardig wil zijn voor de nog zeer vele SL-gebruikers, maar deze update is puur eigenbelang: veilig meer verkopen in de Apple-Store.

  • Profielfoto
    RobertWebbe

    Dat is mooi, mijn MacBook Pro 1.1 gaat maar tot OS 10.6. En tot nu toe werkt hij nog steeds prima (en dat na 9,5 jaar!). Ik zie dat laptops met Vista niet meer doen.